
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>[Java]接受拖拽文件的窗口 / 憋错料</title>

    <meta name="description" content="[Java]接受拖拽文件的窗口 至于这个问题,Java的awt.dnd包下提供了许多完成这一功能的类 例如DropTarget.DropTargetListener等 先来讲一下DropTarget类,这个类完成和拖拽.复制文件等操作和Component的关联 常用的构造方法有这些: DropTarget(Component c, DropTargetListener dtl) c:要与它关联的组件 dtl:执行事件处理的DropTargetListener DropTarget(Component c, int ops, D">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">[Java]接受拖拽文件的窗口</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>　　至于这个问题，Java的awt.dnd包下提供了许多完成这一功能的类</p>
<p>例如DropTarget、DropTargetListener等</p>
<p>　　先来讲一下DropTarget类，这个类完成和拖拽、复制文件等操作和<code>Component的关联</code></p>
<p>常用的构造方法有这些：</p>
<p><code><strong>DropTarget</strong>(Component&nbsp;c, DropTargetListener&nbsp;dtl)</code></p>
<p>　　c:要与它关联的组件</p>
<p>　　dtl：执行事件处理的DropTargetListener</p>
<p><code><strong>DropTarget</strong>(Component&nbsp;c, int&nbsp;ops, DropTargetListener&nbsp;dtl)</code></p>
<p>　　ops：默认的可接受操作</p>
<p>　　另外两个参数和上面是一样的</p>
<p>可接受的操作有哪些呢？<strong>DnDConstants</strong>类中有着下面几种操作(字段)：</p>
<table>
<tbody>
<tr>
<td><code>static&nbsp;int</code></td>
<td><code><strong>ACTION_COPY</strong></code> <br />&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;表示&ldquo;复制&rdquo;操作的 <code>int</code> 值。</td>
</tr>
<tr>
<td><code>static&nbsp;int</code></td>
<td><code><strong>ACTION_COPY_OR_MOVE</strong></code></p>
<p>表示&ldquo;复制&rdquo;或&ldquo;移动&rdquo;操作的 <code>int</code> 值。</td>
</tr>
<tr>
<td><code>static&nbsp;int</code></td>
<td><code><strong>ACTION_LINK</strong></code></p>
<p>表示&ldquo;链接&rdquo;操作的 <code>int</code> 值。</td>
</tr>
<tr>
<td><code>static&nbsp;int</code></td>
<td><code><strong>ACTION_MOVE</strong></code></p>
<p>表示&ldquo;移动&rdquo;操作的 <code>int</code> 值。</td>
</tr>
<tr>
<td><code>static&nbsp;int</code></td>
<td><code><strong>ACTION_NONE</strong></code></p>
<p>表示无操作的 <code>int</code> 值。</td>
</tr>
<tr>
<td><code>static&nbsp;int</code></td>
<td><code><strong>ACTION_REFERENCE</strong></code></p>
<p>表示&ldquo;引用&rdquo;操作的 <code>int</code> 值（等同于 ACTION_LINK）。</td>
</tr>
</tbody>
</table>
<p>　　接着来谈谈DropTargetListener，API帮助文档中提供比较详细的说明，在这就不过多地介绍了，</p>
<p>如果只是单独的使用文件的拖拽，可以使用<strong>DropTargetAdapter</strong>这一个类，对于上面这个接口中</p>
<p><code>drop(DropTargetDropEvent)</code> 以外的所有方法都定义了 null 实现,所以是实现接口的时候就比较方便</p>
<p>下面给出一个简单的接受拖拽文件的程序的源代码:</p>
<pre> 1 package 图形界面;
 2
 3 import javax.swing.*;
 4 import java.util.List;
 5 import java.awt.*;
 6 import java.awt.datatransfer.DataFlavor;
 7 import java.awt.datatransfer.UnsupportedFlavorException;
 8 import java.awt.dnd.*;
 9 import java.io.File;
10 import java.io.IOException;
11
12 /**
13  * @author Administrator
14  */
15 public class 拖拽文件 extends JFrame{
16
17     private static final long serialVersionUID = -3081282189290446349L;
18
19     private JTextArea jta;
20     private JScrollPane jsp;
21
22
23     private void init_drop(){
24
25         new DropTarget(this, DnDConstants.ACTION_COPY_OR_MOVE, new DropTargetAdapter() {
26
27             @Override
28             public void drop(DropTargetDropEvent dtde) {
29
30                 if(dtde.isDataFlavorSupported(DataFlavor.javaFileListFlavor)){    //判断是否支持此文件的格式
31
32                     dtde.acceptDrop(DnDConstants.ACTION_COPY_OR_MOVE);    //接受该文件
33                     try {
34                         @SuppressWarnings("unchecked")
35                         List&lt;File&gt; list = (List&lt;File&gt;) dtde.getTransferable().getTransferData(DataFlavor.javaFileListFlavor);
36                         jta.setText(jta.getText()+list.get(list.size() - 1).getAbsolutePath() + "\r\n");
37
38                     } catch (UnsupportedFlavorException | IOException e) {
39                         e.printStackTrace();
40                     }
41
42                 }else{
43                     dtde.rejectDrop();            //拒绝该拖拽文件
44                 }
45
46             }
47
48         });
49
50     }
51
52     private void init(){
53
54         jta = new JTextArea();
55         jsp = new JScrollPane(jta);
56
57         jsp.setBounds(30, 30, 200, 200);
58         jta.setForeground(Color.green);
59         jta.setRows(40);
60
61     }
62
63     public 拖拽文件(){
64
65         this.init();
66         this.setTitle("拖拽文件测试");
67         this.setLayout(null);
68         this.add(jsp);
69         this.init_drop();
70         this.setBounds(420, 280, 300, 320);
71         this.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
72         this.setResizable(false);
73         this.setVisible(true);
74
75     }
76
77     public static void main(String args[]){
78         new 拖拽文件();
79     }
80
81 }  </pre>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-29 04:37:34 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>[Java]接受拖拽文件的窗口的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MoxQzx0.html" rel="bookmark">atitit&period;D&amp;amp&semi;D drag&amp;amp&semi;drop拖拽文件到界面功能 html5 web 跟个java swing c&num;&period;net c&plus;&plus; 的总结</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				atitit.D&amp;D drag&amp;drop拖拽文件到界面功能 html5 web 跟个java swing c#.net c++ 的总结 1. DND的操作流程 1 2. Html5 注解事件 document.dragover &gt;&gt;preventDefault 1 3. 代码(js) 1 4. C++ 实现拖曳 2 5. QT拖拽功能简介 - pcsuite的专栏 - 博客频道 - CSDN.NET.htm 2 1. DND的操作流程 Dragenter 事件::更改提示的颜色			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4NoqoZM.html" rel="bookmark">Java实现拖拽上传</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:http://www.open-open.com/code/view/1437358795584 在项目开发中由于实际需求,需要开发拖拽上传的功能,ok! 先看效果图: jsp上传前端代码: &lt;%@ page language=&quot;java&quot; contentType=&quot;text/html; charset=UTF-8&quot; pageEncoding=&quot;UTF-8&quot;%&gt; &lt;!DOCTYPE html&gt; &lt;html&gt			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MDDywoM.html" rel="bookmark">c&plus;&plus; 发送消息，模拟拖拽文件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1 #include &lt;ShlObj.h&gt; 2 BOOL SimulateDropFile(CString strFilePath) 3 { 4 char szFile[MAX_PATH] = {0}; 5 wcstombs(szFile, strFilePath.GetBuffer(0), _MAX_PATH); 6 DWORD dwBufSize = sizeof(DROPFILES) + strlen(szFile) + 1; 7 8 //通过类名或窗口标题 找到接受拖拽的窗口 9 HW			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/r4Jy9B3.html" rel="bookmark">JAVA  UI 拖拽功能</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				java GUI拖拽功能是很实用也相对高级一些的功能. 有一小部分的GUI控件支持他们有dragEnabled属性.这些JComponent包括:javax.swing.JColorChooserjavax.swing.JFileChooserjavax.swing.JListjavax.swing.JTablejavax.swing.JTreejavax.swing.text.JTextComponent 大部分的控件不支持没有这个属性,尤其是常用的jpanel和jframe. 一种简单的方法			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MoQxxn3.html" rel="bookmark">A1&period;xcode三种拖拽文件夹的方式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.copy,是指文件不在项目的目录下面,例如项目在桌面上,文件在 Download 下,你 copy 就会被复制到项目里面.如果文件原本就在项目里面,则不执行任何操作.这里不管它,重点是 下面的单选框. 2.create  groups for any added folders 添加文件 将所有文件放在添加的目录下,实际文件目录结构忽略 访问时 直接文件名即可 黄色文件夹:编译后,资源文件在 mainBundle 中,源代码程序需要通过这种方式拖拽添加 需要注意不能出现重名的文件 效率高 拖			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4JDqLB0.html" rel="bookmark">UAC相关问题分析--使用管理员权限打开VisualStudio，无法访问网络磁盘&comma;无法拖拽文件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				搬运自http://wurang.me/2014/06/17/uac-problems.html [问题产生] 问题最初是在administrator权限下,visual studio 打开网络磁盘下的文件报错.经过几次调试,最终发现是问题是在管理员权限下,vs无法访问网络磁盘. Console.Write( System.IO.File.Exists(path)); 该结果返回False.为了确认是由于权限问题引起,使用非管理员权限打开vs,运行上面的程序,结果返回True. 至此问题确立:w			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3ZVjxg3.html" rel="bookmark">H5中的拖拽文件上传</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一:介绍 1.内容摘要 2.主要设计的技术 3.drag与drop事件 4.drag与drop的部分重要代码 5.File Api 6.formData 二:程序演示 1. 1 &lt;!DOCTYPE HTML&gt; 2 &lt;html&gt; 3 &lt;head&gt; 4 &lt;meta charset=&quot;utf-8&quot;&gt; 5 &lt;title&gt;无标题文档&lt;/title&gt; 6 &lt;script src=&quot;D:\jquery\jquer			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/49raWXM.html" rel="bookmark">HTML5开发 拖拽文件上传</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Drag&amp;Drop 拖拽功能的处理 关于HTML5拖拽文件上传,其实国外已经有很多网站有这样的应用,最早推出拖拽上传应用的是 Gmail,它支持标准浏览器下拖拽本地文件到浏览器中作为邮件的附件发送,但其实现在利用HTML5的功能实现,主要借助于新版支持的浏览器来实现,IE还是弱很多. 拖拽上传应用主要使用了以下 HTML5技术: Drag&amp;Drop : HTML5基于拖拽的事件机制.File API : 可以很方便的让 Web 应用访问文件对象,File API 包括FileList.Bl			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MDvBzp3.html" rel="bookmark">解决往监控目录拖拽文件夹无法监控到的问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在项目中一个应用场景是监控一个目录变化,但从监控目录外部拖拽一个文件夹进来,拖拽进来的文件夹里的文件无法监控到,通过查看资料,发现是一个参数的设置 #include &lt;iostream&gt; #include &quot;DirectoryChanges.h&quot; #include &quot;MyDirectoryChangeHandler.h&quot; int main() { wcout.imbue(locale(&quot;CHS&quot;)); CDirectoryChange			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MgL29O0.html" rel="bookmark" class="title">String&comma;StringBuffer和StringBuilder三者的讲解</a>
					<div>
						 对于java的学习者而言,无论是初学者,还是java大师,String对于大家而言,也绝对不会陌生.下面本人就从 自己学习的角度大致分析一下String,StringBuffer和StringBui ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MBmkzY4.html" rel="bookmark" class="title">重识数据库设计&mdash;&mdash;【软考】</a>
					<div>
						之前做机房的时候写过一篇[个人机房重构]--创建数据库三部曲,主要写了三范式.E-R图简单创建,现在看起来,光追求宏观不考虑细节是不够的.软考下午题里面的数据库设计的题,让我恶补了一下之前的知识漏洞. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MgL8GN0.html" rel="bookmark" class="title">c语言中的内存管理</a>
					<div>
						一:内存分为5大区域 栈区     --  存放局部变量 堆区     --  程序运行过程中,动态分配的内存 BSS区    --  未初始化的全局变量和静态变量 数据段    --  已经初始化的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ZVnPG3.html" rel="bookmark" class="title">word2010 数学公式&sol;联立方程&sol;大括号内方程组如何左对齐？</a>
					<div>
						如何在word中输入的联立方程使其条件左对齐? 如输入: 实现如下对齐: 就是在每个逗号 .前输入一个 &amp; 号就可以了, 注意这个逗号一定要是 位于这个方框里头,然后在其前面输入 &amp;  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0R8pdq4.html" rel="bookmark" class="title">小游戏--别踩白块</a>
					<div>
						有图有真相,先上图再说 照旧贴出代码 &lt;!DOCTYPE html&gt; &lt;html&gt; &lt;head&gt; &lt;meta charset=&quot;utf-8&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3wyy5NM.html" rel="bookmark" class="title">5-05约束的类型</a>
					<div>
						约束的类型: 主键约束:要求主键列不能为空,要求主键唯一. 非空约束:要求该列不能存在空值. 唯一约束:要求该列的值必须是唯一的,允许为空,但只能出一同个空值. 检查约束:限制某列的取值范围是否合适. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MzQPLl4.html" rel="bookmark" class="title">205    Isomorphic Strings</a>
					<div>
						Given two strings s and t, determine if they are isomorphic. Two strings are isomorphic if the chara ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/49WZnJ0.html" rel="bookmark" class="title">Problem-A</a>
					<div>
						概述:给出一段序列,求在这段序列中能求出的最大和,并且表示出这个和是从那里开始到哪里结束. 思路:最大序列和的问题.讲课时候讲过一道这样的题目,但是与那道题目不同的是,这道题要求把序列开始时数字的位置 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MDr8Oe3.html" rel="bookmark" class="title">Repmat&colon;Replicate and tile an array</a>
					<div>
						Repmat:Replicate and tile an array Syntax B = repmat(A,m,n) B = repmat(A,[m n]) B = repmat(A,[m n p. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ODXN84.html" rel="bookmark" class="title">ASPxGridView实现checkbox全选反选（自带的ShowSelectCheckBOx）并获取选中checkbox对应的值集合</a>
					<div>
						第一步,显示checkbox按钮: 点击AspxGridView的columns,你可以直接选择增加一行Command Column或者随便选择一种然后点击Change To Commadn Colu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ZbZP83.html" rel="bookmark" class="title">创建TPL自定义模板</a>
					<div>
						文件布局 &lt;!--1d7c7a527b6335cc7a623305ca940e1findex.tpl.html--&gt; &lt;!DOCTYPE html PUBLIC &quot;-//W ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MyQKOEM.html" rel="bookmark" class="title">写给Android开发初学者</a>
					<div>
						Android发布已经好几年了,但还是有很多人愿意进入这个领域,比如在校的学生,后端的Java开发者等. 本文将从基础知识,开发工具,代码管理三个方面做一些介绍. 基础知识 Java基础 大家都知道A ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0aRXbP3.html" rel="bookmark" class="title">百度前端学院---小薇学院---任务---12</a>
					<div>
						1 &lt;!DOCTYPE html&gt; 2 &lt;html&gt; 3 &lt;head&gt; 4 &lt;meta charset=&quot;UTF-8&quot;&gt; 5 &lt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0ez5Eg3.html" rel="bookmark" class="title">算法专题 棋盘覆盖问题 普及组【2007】四2 C&plus;&plus;版</a>
					<div>
											</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/02wgWn3.html" rel="bookmark" class="title">第04篇 JDK版本导致Unsupported major&period;minor version 52&period;0 error</a>
					<div>
						一直以来,想改变一些自己早已经习惯的事情. 感谢吕希德同学,让我又解决了一个问题! 出现问题原因--&gt;&gt;分析 { JDK版本不一致的问题 } 在eclipse中开发的项目有个Java bu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3qGP5DM.html" rel="bookmark" class="title">IoC&lowbar;DIP其实是一种管理思想</a>
					<div>
						关于IoC的的概念提出来已经很多年了,其被用于一种面象对像的设计.我在这里再简单的回顾一下这个概念.我先谈技术,再说管理. 话说,我们有一个开关要控制一个灯的开和关这两个动作,最常见也是最没有技术含量 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3Opa1o4.html" rel="bookmark" class="title">常用java的正则表达式</a>
					<div>
						package everyDayPratise; import java.util.regex.Pattern; public class RegexExample { public static v ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4Aaxyd4.html" rel="bookmark" class="title">字符編碼</a>
					<div>
						128 个 ASCII 字符(Unicode 范围由 U+0000 至 U+007F)只需一个字节. 带有变音符号的拉丁文.希腊文.西里尔字母.亚美尼亚语.希伯来文.阿拉伯文.叙利亚文及马尔代夫语(U ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pgNmy3.html" rel="bookmark" class="title">Java知多少（70）面向字节流的应用</a>
					<div>
						文件输入输出流 文件输入输出流 FileInputStream 和 FileOutputStream 负责完成对本地磁盘文件的顺序输入输出操作. [例 10-5]通过程序创建一个文件,从键盘输入字符, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0lDmQP0.html" rel="bookmark" class="title">基于jquery的插件结构</a>
					<div>
						(function ($) { /** * 创建dom * @param $this * @returns {boolean} */ function createHtml($this) { _ini ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 11 q. 0.025 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
